module ShuttleEngine() {
	difference () {
		scale([3, 8, 2]) sphere(50);
		
		translate([0, -300, 0]) scale([2, 1, 1])
		rotate([90, 0, 0]) cylinder(h = 100, r = 50);
	}

	translate([-40, 0, 0])
	rotate([90, 0, 0]) cylinder(h = 350, r = 30);

	translate([40, 0, 0])
	rotate([90, 0, 0]) cylinder(h = 350, r = 30);

	rotate([30, 0, 0]) scale([0.1, 1, 1])
	cylinder(h = 300, r1 = 100, r2 = 50);
}

color("dimgray") {
	scale([5, 13, 3]) sphere(r = 50);
	translate([-400, -300, 0]) ShuttleEngine();
	translate([400, -300, 0]) ShuttleEngine();
	
	translate([0, -100, 0]) rotate([0, 0, -30]) scale([1, 1, 0.1])
	rotate([0, 90, 0]) cylinder(h = 1050, r1 = 300, r2 = 100);
	
	translate([0, -100, 0]) rotate([0, 0, 30]) scale([1, 1, 0.1])
	rotate([0, -90, 0]) cylinder(h = 1050, r1 = 300, r2 = 100);
}
